org.eclipse.emf.cdo.transfer

## Interface CDOTransfer.PathProvider

- Enclosing class:
    CDOTransfer

      public static interface CDOTransfer.PathProvider

  Provides the path of a transfer element relative to its parent.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOTransfer.PathProvider` | `DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPath` | `getPath(CDOTransferElement element)`

- - ### Field Detail

    - #### DEFAULT

          static final CDOTransfer.PathProvider DEFAULT

  - ### Method Detail

    - #### getPath

          IPath getPath(CDOTransferElement element)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html